Subject: Re: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jan 2023 10:56:16 +0200

> Date: Thu, 05 Jan 2023 08:44:30 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Fu Yuan <[email-masked]>, Stefan Monnier <[email-masked]>, 
>     Lars Ingebrigtsen <[email-masked]>, Theodor Thornhill <[email-masked]>, 
>     Jostein Kjønigsen <[email-masked]>, 
>     [email-masked], [email-masked], [email-masked]
> 
> I suggest a slightly different solution: add a global minor mode, say 
> 'ts-modes'.  Users would only have to add (ts-modes 1) in their init 
> files, and the logic would be:
> 
> (treesit-available-p) ts-modes
> nil                   nil      => do nothing
> nil                   t        => warning
> t                     nil      => use available tree-sitter modes
> t                     t        => use available tree-sitter modes
> 
> This seems more future-proof: otherwise users who want to user the 
> available tree-sitter modes would have to require all such modes.  ATM 
> there are only 19, but Emacs 30 could very well have twice or thrice that 
> number of tree-sitter modes.

Thanks.  This was already considered.  I don't like asking users to
customize a list as a means of activating an optional mode.  I also
don't think we have enough information for committing ourselves to
such a solution at this stage.

So I'd prefer not to do this on the release branch.